From ce4a90343c1712aa1922ac2f32658af14e419b21 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 12 Jun 2009 13:43:35 +0200
Subject: [PATCH] Disable tests (some fail on ARM)

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 mysql.spec |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/mysql.spec b/mysql.spec
index b1c2d96..cbbcc08 100644
--- a/mysql.spec
+++ b/mysql.spec
@@ -1,6 +1,6 @@
 Name: mysql
 Version: 5.1.31
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 Summary: MySQL client programs and shared libraries
 Group: Applications/Databases
 URL: http://www.mysql.com
@@ -231,6 +231,7 @@ gcc -I../../include $CFLAGS mysql-embedded-check.c libmysqld.so.0
 LD_LIBRARY_PATH=. ldd ./a.out
 cd ../..
 
+%ifnarch %{arm}
 make check
 
 %if %runselftest
@@ -249,6 +250,7 @@ make check
   # which makes the runtime really unacceptably long ...
   make test-ns
 %endif
+%endif
 
 %install
 rm -rf $RPM_BUILD_ROOT
@@ -635,6 +637,9 @@ fi
 %{_mandir}/man1/mysql_client_test.1*
 
 %changelog
+* Fri Jun 12 2009 Jitesh Shah <jiteshs@marvell.com> - 5.1.31-1.fa1
+- Disable tests (some fail on ARM)
+
 * Fri Feb 13 2009 Tom Lane <tgl@redhat.com> 5.1.31-1
 - Update to MySQL 5.1.31.
 
-- 
1.5.5.6

